Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_ESF_Copy_On_Write_Read_Guard Class Template Reference

TAO_ESF_Copy_On_Guard. More...

`#include <ESF_Copy_On_Write.h>`

Collaboration diagram for TAO_ESF_Copy_On_Write_Read_Guard:

[legend]
List of all members.

## Public Types
typedef TAO_ESF_Copy_On_Write_Collection< COLLECTION,ITERATOR> | Collection
| Constructor.
## Public Methods
| TAO_ESF_Copy_On_Write_Read_Guard (ACE_LOCK &mutex, Collection *&collection)
| ~TAO_ESF_Copy_On_Write_Read_Guard (void)
| Destructor.
## Public Attributes
Collection* | collection
## Private Attributes
ACE_LOCK& | mutex

## Detailed Description

### template<class COLLECTION, class ITERATOR, class ACE_LOCK> template class TAO_ESF_Copy_On_Write_Read_Guard

TAO_ESF_Copy_On_Guard.

This helper class atomically increments the reference count of a TAO_ESF_Copy_On_Write_Collection and reads the current collection in the Copy_On_Write class.

## Member Typedef Documentation

template<classCOLLECTION, classITERATOR, classACE_LOCK>
typedef TAO_ESF_Copy_On_Write_Collection<COLLECTION,ITERATOR> TAO_ESF_Copy_On_Write_Read_Guard<COLLECTION, ITERATOR, ACE_LOCK>::Collection

| Constructor.

## Constructor & Destructor Documentation

template<classCOLLECTION, classITERATOR, classACE_LOCK>
ACE_INLINE TAO_ESF_Copy_On_Write_Read_Guard< COLLECTION,ITERATOR,ACE_LOCK >::TAO_ESF_Copy_On_Write_Read_Guard<COLLECTION, ITERATOR, ACE_LOCK> ( | ACE_LOCK & m,
| Collection *& collection_ref )

template<classCOLLECTION, classITERATOR, classACE_LOCK>
ACE_INLINE TAO_ESF_Copy_On_Write_Read_Guard< COLLECTION,ITERATOR,ACE_LOCK >::~TAO_ESF_Copy_On_Write_Read_Guard<COLLECTION, ITERATOR, ACE_LOCK> ( | void )

| Destructor.

## Member Data Documentation

template<classCOLLECTION, classITERATOR, classACE_LOCK>
Collection * TAO_ESF_Copy_On_Write_Read_Guard<COLLECTION, ITERATOR, ACE_LOCK>::collection

template<classCOLLECTION, classITERATOR, classACE_LOCK>
ACE_LOCK & TAO_ESF_Copy_On_Write_Read_Guard<COLLECTION, ITERATOR, ACE_LOCK>::mutex`[private]`

The documentation for this class was generated from the following files:

- ESF_Copy_On_Write.h
- ESF_Copy_On_Write.i